Bug 156766 - implementatoin of setenforce 0 broken
Summary: implementatoin of setenforce 0 broken
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 05:12 UTC by Jonathan S. Shapiro
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 00:36:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan S. Shapiro 2005-05-04 05:12:29 UTC
problem:

  setenforce 0 does not fully disable selinux

repeat by:

  create an empty directory somewhere, say, /mumble
  setenforce 0
  yum --installroot=/mumble groupinstall Base

watch all of the postinstall scripts fail

Which begs the question: why does selinux mishandle chroot environments this way
(subject of another bug report).

Comment 1 Jonathan S. Shapiro 2005-05-06 00:36:40 UTC
I have a better understanding of what was happening with this example, and I
think the bug should be closed. Certainly, it's not high priority. I'm closing
it accordingly.


Note You need to log in before you can comment on or make changes to this bug.